summaryrefslogtreecommitdiff
path: root/pre-commit.d/20warn-special-file
diff options
context:
space:
mode:
Diffstat (limited to 'pre-commit.d/20warn-special-file')
-rwxr-xr-xpre-commit.d/20warn-special-file12
1 files changed, 12 insertions, 0 deletions
diff --git a/pre-commit.d/20warn-special-file b/pre-commit.d/20warn-special-file
new file mode 100755
index 0000000..42e812b
--- /dev/null
+++ b/pre-commit.d/20warn-special-file
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ] || [ "$VCS" = hg ]; then
+ special=$(find -not -type d -not -type f -not -type l | grep -v /.git/) || true
+ if [ -n "$special" ]; then
+ echo "etckeeper warning: special files could cause problems with $VCS:" >&2
+ echo "$special" >&2
+ fi
+fi
+
+true